bptbl_s Struct Reference

Back pointer table (forward pass lattice; actually a tree) More...

`#include <ngram_search.h>`

## Data Fields

frame_idx_t | frame
| start or end frame
uint8 | valid
| For absolute pruning.
uint8 | refcnt
| Reference count (number of successors)
int32 | wid
| Word index.
int32 | bp
| Back Pointer.
int32 | score
| Score (best among all right contexts)
int32 | s_idx
| Start of BScoreStack for various right contexts.
int32 | real_wid
| wid of this or latest predecessor real word
int32 | prev_real_wid
| wid of second-last real word
int16 | last_phone
| last phone of this word
int16 | last2_phone
| next-to-last phone of this word

## Detailed Description

Back pointer table (forward pass lattice; actually a tree)

Definition at line 109 of file ngram_search.h.

## Field Documentation

## bp

int32 bptbl_s::bp

Back Pointer.

Definition at line 114 of file ngram_search.h.

Referenced by ngram_search_bp_hyp(), and ngram_search_save_bp().

## frame

frame_idx_t bptbl_s::frame

start or end frame

Definition at line 110 of file ngram_search.h.

Referenced by ngram_search_lattice(), and ngram_search_save_bp().

## last2_phone

int16 bptbl_s::last2_phone

next-to-last phone of this word

Definition at line 120 of file ngram_search.h.

Referenced by ngram_search_exit_score(), and ngram_search_save_bp().

## last_phone

int16 bptbl_s::last_phone

last phone of this word

Definition at line 119 of file ngram_search.h.

Referenced by ngram_search_exit_score(), and ngram_search_save_bp().

## prev_real_wid

int32 bptbl_s::prev_real_wid

wid of second-last real word

Definition at line 118 of file ngram_search.h.

Referenced by ngram_search_save_bp().

## real_wid

int32 bptbl_s::real_wid

wid of this or latest predecessor real word

Definition at line 117 of file ngram_search.h.

Referenced by ngram_search_save_bp().

## refcnt

uint8 bptbl_s::refcnt

Reference count (number of successors)

Definition at line 112 of file ngram_search.h.

## s_idx

int32 bptbl_s::s_idx

Start of BScoreStack for various right contexts.

Definition at line 116 of file ngram_search.h.

Referenced by ngram_search_exit_score(), and ngram_search_save_bp().

## score

int32 bptbl_s::score

Score (best among all right contexts)

Definition at line 115 of file ngram_search.h.

Referenced by ngram_search_exit_score(), ngram_search_find_exit(), ngram_search_lattice(), and ngram_search_save_bp().

## valid

uint8 bptbl_s::valid

For absolute pruning.

Definition at line 111 of file ngram_search.h.

Referenced by ngram_search_save_bp().

## wid

int32 bptbl_s::wid

Word index.

Definition at line 113 of file ngram_search.h.

Referenced by ngram_search_bp_hyp(), ngram_search_find_exit(), ngram_search_lattice(), and ngram_search_save_bp().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ngram_search.h